function DrawFigFinal(result, titleName, S)

figure; 
%axis tight;
N = length(result{1})-2;
x = 0:N;
y1 = result{1}(1, 1);
%axis tight;
plot([-0.01, N+0.01], [y1, y1],'r-','LineWidth',4);

hold on;
y2 = result{1}(1,end);
%axis tight;
plot([-0.01, N+0.01], [y2, y2],'-','LineWidth',4);

hold on;
y3 = result{1}(1:end-1);
% y3(1:10) = sort(y3(1:10) + randn)
%axis tight;
plot(x,y3,'--gs','LineWidth',3,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','g',...
    'MarkerSize',12);

hold on;
t = (max(result{1}) - min(result{1})) / 20;
plot([S,S],[min(result{1}) - t, max(result{1}) + t],'--c','LineWidth',3);
axis tight;

xlabel('N','fontsize',20);
ylabel('SRA','fontsize',20);
title(titleName,'fontsize',20);
h = legend('standard','oracle','multi-stage', 1);
set(h,'Interpreter','none','fontsize',20);
hold off;
%print (['fig/', fileName, 'SRA'], '-depsc2');

figure; 
%axis tight;
N = length(result{2})-2;
x = 0:N;
y1 = result{2}(1, 1);
%axis tight;
plot([-0.01, N+0.01], [y1, y1],'r-','LineWidth',4);

hold on;
y2 = result{2}(1,end);
%axis tight;
plot([-0.01, N+0.01], [y2, y2],'-','LineWidth',4);


hold on;
y3 = result{2}(1:end-1);
% y3(1:10) = sort(y3(1:10) + randn)
%axis tight;
plot(x,y3,'--gs','LineWidth',3,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','g',...
    'MarkerSize',12);

hold on;
t = (max(result{2}) - min(result{2})) / 20;
plot([S,S],[min(result{2}) - t, max(result{2}) + t],'--c','LineWidth',3);
axis tight;

xlabel('N','fontsize',20);
ylabel('FSA','fontsize',20);
title(titleName,'fontsize',20);
h = legend('standard','oracle','multi-stage', 4);
set(h,'Interpreter','none','fontsize',20);
hold off;
%print (['fig/', fileName, 'FSA'], '-depsc2');
